﻿using System;
using System.Windows.Forms;

using DevExpress.XtraEditors;
using DevExpress.XtraTab;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.xtraTabControl.HeaderButtons |= TabButtons.Close;

            this.xtraTabControl.CloseButtonClick += xtraTabControl_CloseButtonClick;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region XTRA 탭 컨트롤 종료 버튼 클릭시 처리하기 - xtraTabControl_CloseButtonClick(sender, e)

        /// <summary>
        /// XTRA 탭 컨트롤 종료 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void xtraTabControl_CloseButtonClick(object sender, EventArgs e)
        {
            XtraMessageBox.Show
            (
                this,
                "탭 컨트롤 종료 버튼을 클릭했습니다.",
                "INFORMATION",
                MessageBoxButtons.OK,
                MessageBoxIcon.Information
            );
        }

        #endregion
    }
}